scala.collection.jcl.SortedSetWrapper
class Range

[source: `scala/collection/jcl/SortedSetWrapper.scala`]

`protected` `class` Range(from : Option[A], until : Option[A])
  `extends` Range `with` SortedSetWrapper[A]

Value Summary
`val` | underlying : SortedSet Override to specify the collection being accessed through this wrapper. * Collection operations are then routed through the wrapped Java collection.

Method Summary
`override def` | elements : MutableIterator[A] Creates a new iterator over all elements contained in this object.

Methods inherited from SortedSetWrapper
compare, first, last, rangeImpl, toString

Methods inherited from SetWrapper
isEmpty, clear, size

Methods inherited from CollectionWrapper
underlying0, has, hasAll, add, addAll, hashCode, equals

Methods inherited from IterableWrapper
remove, removeAll, retainAll

Methods inherited from Filter
projection

Methods inherited from SortedSet
keySet, subsetOf

Methods inherited from Sorted
to

Methods inherited from Ranged
from, until, range

Methods inherited from Sorted
hasAll

Methods inherited from Filter
retain

Methods inherited from Set
++, --, +, -, contains, transform

Methods inherited from Set
update, +=, ++=, ++=, +, ++, incl, -=, --=, --=, -, --, excl, intersect, <<, clone, readOnly

Methods inherited from Set
apply, toArray

Methods inherited from Function1
compose, andThen

Methods inherited from Collection
-=, +=

Methods inherited from MutableIterable
size0

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` underlying : SortedSet

  Override to specify the collection being accessed through this wrapper. * Collection operations are then routed through the wrapped Java collection.

Overrides
  SortedSetWrapper.underlying

Method Details

`override` `def` elements : MutableIterator[A]

  Creates a new iterator over all elements contained in this object.

Returns
  the new iterator

Overrides
  Range.elements